package com.ruoyi.project.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.project.domain.ProjectTask;

import java.util.Date;


public class ProjectTaskListOut extends ProjectTask {


    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private Long id;

    /**
     * 项目年份
     */
    @Excel(name = "项目年份",dateFormat = "yyyy")
    @JsonFormat(pattern = "yyyy")
    private Object projectYear;

    /**
     * 0=非跨年，1=跨年
     */
    @Excel(name = "是否跨年",readConverterExp = "0=否,1=是")
    private Integer crossYear;
    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String name;

    /**
     * 负责人名称
     */
    @Excel(name = "负责人")
    private String adminName;

    /**
     * 成员名称
     */
    @Excel(name = "参与研发人员")
    private String staffName;
    /**
     * 项目状态
     */
    @Excel(name = "项目状态",readConverterExp = "0=未启动,1=进行中")
    private Integer projectStatus;
    /**
     * 创建年份
     */
    @Excel(name = "创建年份",dateFormat = "yyyy")
    @JsonFormat(pattern = "yyyy")
    private Object createYear;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public Object getProjectYear() {
        return projectYear;
    }

    @Override
    public void setProjectYear(Object projectYear) {
        this.projectYear = projectYear;
    }

    @Override
    public Integer getCrossYear() {
        return crossYear;
    }

    @Override
    public void setCrossYear(Integer crossYear) {
        this.crossYear = crossYear;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String getAdminName() {
        return adminName;
    }

    @Override
    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    @Override
    public String getStaffName() {
        return staffName;
    }

    @Override
    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    @Override
    public Integer getProjectStatus() {
        return projectStatus;
    }

    @Override
    public void setProjectStatus(Integer projectStatus) {
        this.projectStatus = projectStatus;
    }

    @Override
    public Object getCreateYear() {
        return createYear;
    }

    @Override
    public void setCreateYear(Object createYear) {
        this.createYear = createYear;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
